Microburbs
Property - Schools

All schools — bundle

GET/v1/properties/{gnaf_id}/schools/all105¢ per call

Price: 105¢ per call.

Authorization

Request

The only values you send. Fields under Responses below are what comes back — you never pass those.

Path parameters

gnaf_idstringrequired

Query parameters

None — this endpoint accepts no query parameters. Call the path above with your bearer token and nothing else.

Responses

Successful Response

application/json
SchoolsAllfields returned to you
nearbyarray of SchoolNearbymay be null
rankingarray of SchoolRankingmay be null
GET/v1/properties/{gnaf_id}/schools/all
cURL
curl --request GET \
  --url 'https://api.microburbs.com.au/v1/properties/GANSW704074813/schools/all' \
  --header 'Authorization: Bearer test'
Example Responses
{
  "data": {
    "nearby": [
      {
        "distance_m": 612,
        "name": "Belmont North Public School",
        "school_level_type": "Primary",
        "sector": "public"
      }
    ],
    "ranking": [
      {
        "attendance_rate": 0.89,
        "distance_m": 612,
        "name": "Belmont North Public School",
        "naplan_label": "Top 40%",
        "naplan_rank": 0.63,
        "school_level_type": "Primary",
        "sector": "public",
        "socioeconomic_label": "Bottom 20%",
        "socioeconomic_rank": 0.17
      }
    ]
  }
}
Successful Response200
application/json